Upstream information

CVE-2018-14600 at MITRE

Description

An issue was discovered in libX11 through 1.6.5. The function XListExtensions in ListExt.c interprets a variable as signed instead of unsigned, resulting in an out-of-bounds write (of up to 128 bytes), leading to DoS or remote code execution.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  SUSE
Base Score 8.8
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 1102068 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP3
  • libX11 >= 1.6.2-12.5.1
  • libX11-6 >= 1.6.2-12.5.1
  • libX11-6-32bit >= 1.6.2-12.5.1
  • libX11-data >= 1.6.2-12.5.1
  • libX11-xcb1 >= 1.6.2-12.5.1
  • libX11-xcb1-32bit >= 1.6.2-12.5.1
  • libxcb >= 1.10-4.3.1
  • libxcb-dri2-0 >= 1.10-4.3.1
  • libxcb-dri2-0-32bit >= 1.10-4.3.1
  • libxcb-dri3-0 >= 1.10-4.3.1
  • libxcb-dri3-0-32bit >= 1.10-4.3.1
  • libxcb-glx0 >= 1.10-4.3.1
  • libxcb-glx0-32bit >= 1.10-4.3.1
  • libxcb-present0 >= 1.10-4.3.1
  • libxcb-present0-32bit >= 1.10-4.3.1
  • libxcb-randr0 >= 1.10-4.3.1
  • libxcb-render0 >= 1.10-4.3.1
  • libxcb-render0-32bit >= 1.10-4.3.1
  • libxcb-shape0 >= 1.10-4.3.1
  • libxcb-shm0 >= 1.10-4.3.1
  • libxcb-shm0-32bit >= 1.10-4.3.1
  • libxcb-sync1 >= 1.10-4.3.1
  • libxcb-sync1-32bit >= 1.10-4.3.1
  • libxcb-xf86dri0 >= 1.10-4.3.1
  • libxcb-xfixes0 >= 1.10-4.3.1
  • libxcb-xfixes0-32bit >= 1.10-4.3.1
  • libxcb-xinerama0 >= 1.10-4.3.1
  • libxcb-xkb1 >= 1.10-4.3.1
  • libxcb-xkb1-32bit >= 1.10-4.3.1
  • libxcb-xv0 >= 1.10-4.3.1
  • libxcb1 >= 1.10-4.3.1
  • libxcb1-32bit >= 1.10-4.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-2202
SUSE Linux Enterprise Module for Basesystem 15
  • libX11 >= 1.6.5-3.3.1
  • libX11-6 >= 1.6.5-3.3.1
  • libX11-6-32bit >= 1.6.5-3.3.1
  • libX11-data >= 1.6.5-3.3.1
  • libX11-devel >= 1.6.5-3.3.1
  • libX11-xcb1 >= 1.6.5-3.3.1
  • libX11-xcb1-32bit >= 1.6.5-3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-2082
SUSE Linux Enterprise Point of Sale 11 SP3
  • xorg-x11-libX11 >= 7.4-5.11.72.9.1
Patchnames:
sleposp3-xorg-x11-libX11-13801
SUSE Linux Enterprise Server 11 SP3-LTSS
  • xorg-x11-libX11 >= 7.4-5.11.72.9.1
  • xorg-x11-libX11-32bit >= 7.4-5.11.72.9.1
Patchnames:
slessp3-xorg-x11-libX11-13801
SUSE Linux Enterprise Server 11 SP4
  • xorg-x11-libX11 >= 7.4-5.11.72.9.1
  • xorg-x11-libX11-32bit >= 7.4-5.11.72.9.1
  • xorg-x11-libX11-x86 >= 7.4-5.11.72.9.1
Patchnames:
slessp4-xorg-x11-libX11-13801
SUSE Linux Enterprise Server 12 SP3
  • libX11 >= 1.6.2-12.5.1
  • libX11-6 >= 1.6.2-12.5.1
  • libX11-6-32bit >= 1.6.2-12.5.1
  • libX11-data >= 1.6.2-12.5.1
  • libX11-xcb1 >= 1.6.2-12.5.1
  • libX11-xcb1-32bit >= 1.6.2-12.5.1
  • libxcb >= 1.10-4.3.1
  • libxcb-dri2-0 >= 1.10-4.3.1
  • libxcb-dri2-0-32bit >= 1.10-4.3.1
  • libxcb-dri3-0 >= 1.10-4.3.1
  • libxcb-dri3-0-32bit >= 1.10-4.3.1
  • libxcb-glx0 >= 1.10-4.3.1
  • libxcb-glx0-32bit >= 1.10-4.3.1
  • libxcb-present0 >= 1.10-4.3.1
  • libxcb-present0-32bit >= 1.10-4.3.1
  • libxcb-randr0 >= 1.10-4.3.1
  • libxcb-render0 >= 1.10-4.3.1
  • libxcb-render0-32bit >= 1.10-4.3.1
  • libxcb-shape0 >= 1.10-4.3.1
  • libxcb-shm0 >= 1.10-4.3.1
  • libxcb-shm0-32bit >= 1.10-4.3.1
  • libxcb-sync1 >= 1.10-4.3.1
  • libxcb-sync1-32bit >= 1.10-4.3.1
  • libxcb-xf86dri0 >= 1.10-4.3.1
  • libxcb-xfixes0 >= 1.10-4.3.1
  • libxcb-xfixes0-32bit >= 1.10-4.3.1
  • libxcb-xinerama0 >= 1.10-4.3.1
  • libxcb-xkb1 >= 1.10-4.3.1
  • libxcb-xkb1-32bit >= 1.10-4.3.1
  • libxcb-xv0 >= 1.10-4.3.1
  • libxcb1 >= 1.10-4.3.1
  • libxcb1-32bit >= 1.10-4.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2202
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
  • xorg-x11-libX11 >= 7.4-5.11.72.9.1
  • xorg-x11-libX11-32bit >= 7.4-5.11.72.9.1
Patchnames:
slessp3-xorg-x11-libX11-13801
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • xorg-x11-libX11 >= 7.4-5.11.72.9.1
  • xorg-x11-libX11-32bit >= 7.4-5.11.72.9.1
  • xorg-x11-libX11-x86 >= 7.4-5.11.72.9.1
Patchnames:
slessp4-xorg-x11-libX11-13801
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libX11 >= 1.6.2-12.5.1
  • libX11-6 >= 1.6.2-12.5.1
  • libX11-6-32bit >= 1.6.2-12.5.1
  • libX11-data >= 1.6.2-12.5.1
  • libX11-xcb1 >= 1.6.2-12.5.1
  • libX11-xcb1-32bit >= 1.6.2-12.5.1
  • libxcb >= 1.10-4.3.1
  • libxcb-dri2-0 >= 1.10-4.3.1
  • libxcb-dri2-0-32bit >= 1.10-4.3.1
  • libxcb-dri3-0 >= 1.10-4.3.1
  • libxcb-dri3-0-32bit >= 1.10-4.3.1
  • libxcb-glx0 >= 1.10-4.3.1
  • libxcb-glx0-32bit >= 1.10-4.3.1
  • libxcb-present0 >= 1.10-4.3.1
  • libxcb-present0-32bit >= 1.10-4.3.1
  • libxcb-randr0 >= 1.10-4.3.1
  • libxcb-render0 >= 1.10-4.3.1
  • libxcb-render0-32bit >= 1.10-4.3.1
  • libxcb-shape0 >= 1.10-4.3.1
  • libxcb-shm0 >= 1.10-4.3.1
  • libxcb-shm0-32bit >= 1.10-4.3.1
  • libxcb-sync1 >= 1.10-4.3.1
  • libxcb-sync1-32bit >= 1.10-4.3.1
  • libxcb-xf86dri0 >= 1.10-4.3.1
  • libxcb-xfixes0 >= 1.10-4.3.1
  • libxcb-xfixes0-32bit >= 1.10-4.3.1
  • libxcb-xinerama0 >= 1.10-4.3.1
  • libxcb-xkb1 >= 1.10-4.3.1
  • libxcb-xkb1-32bit >= 1.10-4.3.1
  • libxcb-xv0 >= 1.10-4.3.1
  • libxcb1 >= 1.10-4.3.1
  • libxcb1-32bit >= 1.10-4.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2202
SUSE Linux Enterprise Software Development Kit 11 SP4
  • xorg-x11-libX11 >= 7.4-5.11.72.9.1
  • xorg-x11-libX11-devel >= 7.4-5.11.72.9.1
  • xorg-x11-libX11-devel-32bit >= 7.4-5.11.72.9.1
Patchnames:
sdksp4-xorg-x11-libX11-13801
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libX11 >= 1.6.2-12.5.1
  • libX11-devel >= 1.6.2-12.5.1
  • libxcb >= 1.10-4.3.1
  • libxcb-composite0 >= 1.10-4.3.1
  • libxcb-damage0 >= 1.10-4.3.1
  • libxcb-devel >= 1.10-4.3.1
  • libxcb-devel-doc >= 1.10-4.3.1
  • libxcb-dpms0 >= 1.10-4.3.1
  • libxcb-dri3-0 >= 1.10-4.3.1
  • libxcb-present0 >= 1.10-4.3.1
  • libxcb-record0 >= 1.10-4.3.1
  • libxcb-res0 >= 1.10-4.3.1
  • libxcb-screensaver0 >= 1.10-4.3.1
  • libxcb-xevie0 >= 1.10-4.3.1
  • libxcb-xinerama0 >= 1.10-4.3.1
  • libxcb-xprint0 >= 1.10-4.3.1
  • libxcb-xtest0 >= 1.10-4.3.1
  • libxcb-xvmc0 >= 1.10-4.3.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-2202
openSUSE Leap 15.0
  • libX11 >= 1.6.5-lp150.2.3.1
  • libX11-6 >= 1.6.5-lp150.2.3.1
  • libX11-6-32bit >= 1.6.5-lp150.2.3.1
  • libX11-6-32bit-debuginfo >= 1.6.5-lp150.2.3.1
  • libX11-6-debuginfo >= 1.6.5-lp150.2.3.1
  • libX11-data >= 1.6.5-lp150.2.3.1
  • libX11-debugsource >= 1.6.5-lp150.2.3.1
  • libX11-devel >= 1.6.5-lp150.2.3.1
  • libX11-devel-32bit >= 1.6.5-lp150.2.3.1
  • libX11-xcb1 >= 1.6.5-lp150.2.3.1
  • libX11-xcb1-32bit >= 1.6.5-lp150.2.3.1
  • libX11-xcb1-32bit-debuginfo >= 1.6.5-lp150.2.3.1
  • libX11-xcb1-debuginfo >= 1.6.5-lp150.2.3.1
Patchnames:
openSUSE-2018-1107
openSUSE Leap 42.3
  • libX11 >= 1.6.3-10.3.1
  • libX11-6 >= 1.6.3-10.3.1
  • libX11-6-32bit >= 1.6.3-10.3.1
  • libX11-6-debuginfo >= 1.6.3-10.3.1
  • libX11-6-debuginfo-32bit >= 1.6.3-10.3.1
  • libX11-data >= 1.6.3-10.3.1
  • libX11-debugsource >= 1.6.3-10.3.1
  • libX11-devel >= 1.6.3-10.3.1
  • libX11-devel-32bit >= 1.6.3-10.3.1
  • libX11-xcb1 >= 1.6.3-10.3.1
  • libX11-xcb1-32bit >= 1.6.3-10.3.1
  • libX11-xcb1-debuginfo >= 1.6.3-10.3.1
  • libX11-xcb1-debuginfo-32bit >= 1.6.3-10.3.1
Patchnames:
openSUSE-2018-945


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 libX11 Released
SUSE Linux Enterprise Module for Basesystem 15 GA libX11 Released
SUSE Linux Enterprise SDK 11 SP4 xorg-x11-libX11 Released
SUSE Linux Enterprise SDK 12 SP3 libX11 Released
SUSE Linux Enterprise Server 11 SP3 LTSS xorg-x11-libX11 Released
SUSE Linux Enterprise Server 11 SP4 xorg-x11-libX11 Released
SUSE Linux Enterprise Server 12 GA LTSS libX11 Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libX11 Affected
SUSE Linux Enterprise Server 12 SP2 LTSS libX11 Affected
SUSE Linux Enterprise Server 12 SP3 libX11 Released